using VRH.Log4Pro.MultiLanguageManager;

namespace Vrh.iScheduler.Report
{
	/// <summary>
	/// Schedule Report WordCodes.
	/// A modulban felhasznált szókódok és fordításainak inicializációja.
	/// </summary>
	[TranslationModule(MODULNAME)]
	public static class SRWordCodes
	{
		internal const string HUHU = "hu-HU";
		internal const string ENUS = "en-US";

		public const string MODULNAME = "ISCHREPORT";
		/// <summary>
		/// Az iSchedulerReport modulban használatos szókódok.
		/// </summary>
		public static class iSchedulerReport
		{
			/// <summary>
			/// A szöveg típusú szókódok modulra jellemző előtagja.
			/// Végén a MultiLanguageManager.WORDCODE_PART_SEPARATOR-ral.
			/// </summary>
			//public const string WORDCODEPREFIX = "iSchedulerReport" + MultiLanguageManager.WORDCODE_PART_SEPARATOR;

			public static class Execute
			{
				[InitializeTranslation("A riport csomag végrehajtása befejeződött.", HUHU)]
				[InitializeTranslation("Execution of report package finished.", ENUS)]
				public static class ActionIsCompleted { }

				[InitializeTranslation("Név", HUHU)]
				[InitializeTranslation("Name", ENUS)]
				public static class ColName{ }

				[InitializeTranslation("Érték", HUHU)]
				[InitializeTranslation("Value", ENUS)]
				public static class ColVal { }
			}

			#region Manager
			/// <summary>
			/// A Manager felülettel kapcsolatos szókódok.
			/// </summary>
			public static class Manager
			{
				/// <summary>
				/// "Riportcsomag kezelő" 
				/// </summary>
				[InitializeTranslation("Riportcsomag kezelő", HUHU)]
				[InitializeTranslation("Report package manager", ENUS)]
				public static class Title { }

				/// <summary>
				/// "Csomag szerkesztése"
				/// </summary>
				[InitializeTranslation("Csomag szerkesztése", HUHU)]
				[InitializeTranslation("Edit package", ENUS)]
				public static class PackageUpdate { }

				/// <summary>
				/// "Csomag törlése"
				/// </summary>
				[InitializeTranslation("Csomag törlése", HUHU)]
				[InitializeTranslation("Delete package", ENUS)]
				public static class PackageDelete { }

				/// <summary>
				/// "Új csomag"
				/// </summary>
				[InitializeTranslation("Új csomag", HUHU)]
				[InitializeTranslation("New package", ENUS)]
				public static class PackageAdd { }

				/// <summary>
				/// "Ütemezés nélkül"
				/// </summary>
				[InitializeTranslation("Ütemezés nélkül", HUHU)]
				[InitializeTranslation("With no schedule", ENUS)]
				public static class MarkNoSchedule { }

				/// <summary>
				/// "Csomagok megjelelölése \"N\" betűvel, melyek nem szerepelnek ütemezésben"
				/// </summary>
				[InitializeTranslation("Csomagok megjelelölése \"N\" betűvel, melyek nem szerepelnek ütemezésben", HUHU)]
				[InitializeTranslation("Mark packages with letter \"N\", that are not referred by any schadule", ENUS)]
				public static class MarkNoScheduleTitle { }

				/// <summary>
				/// "Hiányzó riport"
				/// </summary>
				[InitializeTranslation("Hiányzó riports", HUHU)]
				[InitializeTranslation("Missing riports", ENUS)]
				public static class MarkMissing { }

				/// <summary>
				/// "Csomagok megjelölése \"H\" betűvel, melyek tartalmaznak nem létező riportokat"
				/// </summary>
				[InitializeTranslation("Csomagok megjelölése \"H\" betűvel, melyek tartalmaznak nem létező riportokat", HUHU)]
				[InitializeTranslation("Mark packages with letter \"H\", that refer to non-existing reports", ENUS)]
				public static class MarkMissingTitle { }

				/// <summary>
				/// "Jelölések törlése"
				/// </summary>
				[InitializeTranslation("Jelölések törlése", HUHU)]
				[InitializeTranslation("Remove marks", ENUS)]
				public static class ClearMarks { }

				#region DataTables
				/// <summary>
				/// Táblázatra vonatkozó fordítások.
				/// </summary>
				public static class DataTables
				{
					/// <summary>
					/// "ID" / "ID"
					/// </summary>
					[InitializeTranslation("ID", HUHU)]
					[InitializeTranslation("ID", ENUS)]
					public static class Id { }

					/// <summary>
					/// "Név" / "Name"
					/// </summary>
					[InitializeTranslation("Név", HUHU)]
					[InitializeTranslation("Name", ENUS)]
					public static class Name { }

					/// <summary>
					/// "Csoport ID" / "Group ID"
					/// </summary>
					[InitializeTranslation("Csoport ID", HUHU)]
					[InitializeTranslation("Group ID", ENUS)]
					public static class GroupId { }

					/// <summary>
					/// "Csoport" / "Group"
					/// </summary>
					[InitializeTranslation("Csoport", HUHU)]
					[InitializeTranslation("Group", ENUS)]
					public static class GroupName { }

					/// <summary>
					/// "Leírás" / "Description"
					/// </summary>
					[InitializeTranslation("Leírás", HUHU)]
					[InitializeTranslation("Description", ENUS)]
					public static class Description { }

					/// <summary>
					/// "Szerep" / "Role"
					/// </summary>
					[InitializeTranslation("Szerep", HUHU)]
					[InitializeTranslation("Role", ENUS)]
					public static class RoleName { }

					/// <summary>
					/// "Aktív" / "Active"
					/// </summary>
					[InitializeTranslation("Aktív", HUHU)]
					[InitializeTranslation("Active", ENUS)]
					public static class Active { }

					/// <summary>
					/// "Jel" / "Mark"
					/// </summary>
					[InitializeTranslation("Jel", HUHU)]
					[InitializeTranslation("Mark", ENUS)]
					public static class Mark { }

					/// <summary>
					/// "Műveletek" / "Operations"
					/// </summary>
					[InitializeTranslation("Műveletek", HUHU)]
					[InitializeTranslation("Operations", ENUS)]
					public static class Operations { }
				}
				#endregion DataTables
			}
			#endregion Manager

			#region Editor
			/// <summary>
			/// Riport csomag kezelő szerkesztő felület szókódjai.
			/// </summary>
			public static class Editor
			{
				#region Titles
				/// <summary>
				/// Csomeg szerkesztőben használt feliratok, tooltip-ek.
				/// </summary>
				public static class Titles
				{
					/// <summary>
					/// "Megerősítés" / "Confirmation"
					/// </summary>
					[InitializeTranslation("Megerősítés", HUHU)]
					[InitializeTranslation("Confirmation", ENUS)]
					public static class ConfirmDelete { }

					/// <summary>
					/// "Riportcsomag módosítás" / "Edit package"
					/// </summary>
					[InitializeTranslation("Riportcsomag módosítás", HUHU)]
					[InitializeTranslation("Edit report package", ENUS)]
					public static class PackageUpdate { }

					/// <summary>
					/// "Új riportcsomag" / "New report package"
					/// </summary>
					[InitializeTranslation("Új riportcsomag", HUHU)]
					[InitializeTranslation("New report package", ENUS)]
					public static class PackageNew { }

					/// <summary>
					/// "Szerephez tartozó felhasználók" / "Users of the role"
					/// </summary>
					[InitializeTranslation("Szerephez tartozó felhasználók", HUHU)]
					[InitializeTranslation("Users of the role", ENUS)]
					public static class UsersOfTheRole { }

					/// <summary>
					/// "Riportcsomag-szerkesztő inicializálása sikertelen" / 
					/// "Reportpackage editor initialization is failed"
					/// </summary>
					[InitializeTranslation("Riportcsomag-szerkesztő inicializálása sikertelen", HUHU)]
					[InitializeTranslation("Report package editor initialization is failed", ENUS)]
					public static class EditorInitializationIsFailed { }
				}
				#endregion Titles

				#region TableHeads
				/// <summary>
				/// Tábla fejlécek a szerkesztőben.
				/// </summary>
				public static class TableHeads
				{
					/// <summary>
					/// Riport ID / Report ID
					/// </summary>
					[InitializeTranslation("Riport ID", HUHU)]
					[InitializeTranslation("Report ID", ENUS)]
					public static class ReportId { }

					/// <summary>
					/// Riport leírása / Report description
					/// </summary>
					[InitializeTranslation("Riport leírása", HUHU)]
					[InitializeTranslation("Report description", ENUS)]
					public static class ReportDescription { }

					/// <summary>
					/// Riport export típusa / Report export type
					/// </summary>
					[InitializeTranslation("Riport export típusa", HUHU)]
					[InitializeTranslation("Report export type", ENUS)]
					public static class ReportExportType { }
				}
				#endregion TableHeads

				#region Labels
				/// <summary>
				/// Input mezők címkéi
				/// </summary>
				public static class Labels
				{
					/// <summary>
					/// Csomag neve
					/// </summary>
					[InitializeTranslation("Csomag neve", HUHU)]
					[InitializeTranslation("Package name", ENUS)]
					public static class PackageName { }

					/// <summary>
					/// Csomag leírása
					/// </summary>
					[InitializeTranslation("Csomag leírása", HUHU)]
					[InitializeTranslation("Package description", ENUS)]
					public static class PackageDescription { }

					/// <summary>
					/// Csoport
					/// </summary>
					[InitializeTranslation("Csoport", HUHU)]
					[InitializeTranslation("Group", ENUS)]
					public static class PackageGroup { }

					/// <summary>
					/// Aktív
					/// </summary>
					[InitializeTranslation("Aktív", HUHU)]
					[InitializeTranslation("Active", ENUS)]
					public static class PackageIsActive { }

					/// <summary>
					/// Szerepnév
					/// </summary>
					[InitializeTranslation("Szerepnév", HUHU)]
					[InitializeTranslation("Role name", ENUS)]
					public static class PackageRoleName { }

					/// <summary>
					/// Szerepkörök
					/// </summary>
					[InitializeTranslation("Szerepkörök", HUHU)]
					[InitializeTranslation("Role groups", ENUS)]
					public static class Rolegroups { }

					/// <summary>
					/// Felhasználók
					/// </summary>
					[InitializeTranslation("Felhasználók", HUHU)]
					[InitializeTranslation("Users", ENUS)]
					public static class Users { }

					/// <summary>
					/// Felhasználó
					/// </summary>
					[InitializeTranslation("Felhasználó", HUHU)]
					[InitializeTranslation("User", ENUS)]
					public static class User { }

					/// <summary>
					/// Email cím
					/// </summary>
					[InitializeTranslation("Email cím", HUHU)]
					[InitializeTranslation("Email address", ENUS)]
					public static class EmailAddress { }

					/// <summary>
					/// Művelet végrehajtása mentés után
					/// </summary>
					[InitializeTranslation("Művelet végrehajtása mentés után", HUHU)]
					[InitializeTranslation("Execute operation after save", ENUS)]
					public static class TestExecute { }
				}
				#endregion Labels

				#region Buttons
				/// <summary>
				/// A felületen alkalmazott gombok feliratainak szókódjai.
				/// </summary>
				public static class Buttons
				{
					/// <summary>
					/// OK / OK
					/// </summary>
					[InitializeTranslation("OK", HUHU)]
					[InitializeTranslation("OK", ENUS)]
					public static class Ok { }

					/// <summary>
					/// Mentés / Save
					/// </summary>
					[InitializeTranslation("Mentés", HUHU)]
					[InitializeTranslation("Save", ENUS)]
					public static class Save { }

					/// <summary>
					/// Mégse / Cancel
					/// </summary>
					[InitializeTranslation("Mégse", HUHU)]
					[InitializeTranslation("Cancel", ENUS)]
					public static class Cancel { }

					/// <summary>
					/// Igen / Yes
					/// </summary>
					[InitializeTranslation("Igen", HUHU)]
					[InitializeTranslation("Yes", ENUS)]
					public static class Yes { }

					/// <summary>
					/// Nem / No
					/// </summary>
					[InitializeTranslation("Nem", HUHU)]
					[InitializeTranslation("No", ENUS)]
					public static class No { }

					/// <summary>
					/// Törlés / Delete
					/// </summary>
					[InitializeTranslation("Törlés", HUHU)]
					[InitializeTranslation("Delete", ENUS)]
					public static class Delete { }

					/// <summary>
					/// Hozzáadás / Add
					/// </summary>
					[InitializeTranslation("Hozzáadás", HUHU)]
					[InitializeTranslation("Add", ENUS)]
					public static class RiportAdd { }

					/// <summary>
					/// Szerep felhasználói / Users of the role
					/// </summary>
					[InitializeTranslation("Szerep felhasználói", HUHU)]
					[InitializeTranslation("Users of the role", ENUS)]
					public static class UsersOfTheRole { }
				}
				#endregion Buttons

				#region Messages
				/// <summary>
				/// Szerkesztő felületen használt üzenetek szókódjai.
				/// </summary>
				public static class Messages
				{
					/// <summary>
					/// Akció / Action
					/// </summary>
					[InitializeTranslation("Akció", HUHU)]
					[InitializeTranslation("Action", ENUS)]
					public static class AcknowledgmentActionLabel { }

					/// <summary>
					/// Üzenet / Message
					/// </summary>
					[InitializeTranslation("Üzenet", HUHU)]
					[InitializeTranslation("Message", ENUS)]
					public static class AcknowledgmentMessageLabel { }

					/// <summary>
					/// A művelet sikeres volt!
					/// </summary>
					[InitializeTranslation("A művelet sikeres volt!", HUHU)]
					[InitializeTranslation("Operation was successful!", ENUS)]
					public static class OperationSuccessful { }

					/// <summary>
					/// A művelet sikertelen volt! 
					/// </summary>
					[InitializeTranslation("A művelet sikertelen volt!", HUHU)]
					[InitializeTranslation("Operation failed!", ENUS)]
					public static class OperationUnSuccessful { }

					/// <summary>
					/// Biztos, hogy törli a csomagot? 
					/// </summary>
					[InitializeTranslation("Biztos, hogy törli a csomagot?", HUHU)]
					[InitializeTranslation("Are You sure to delete package?", ENUS)]
					public static class ConfirmDeletePackage { }

					/// <summary>
					/// A csomag neve nem lehet üres!
					/// </summary>
					[InitializeTranslation("A csomag neve nem lehet üres!", HUHU)]
					[InitializeTranslation("Name of package is mandatory, cannot be empty!", ENUS)]
					public static class PackageNameEmpty { }

					/// <summary>
					/// A csoport nem lehet üres!
					/// </summary>
					[InitializeTranslation("A csoport nem lehet üres!", HUHU)]
					[InitializeTranslation("Group is mandatory, can not be empty!", ENUS)]
					public static class PackageGroupEmpty { }

					/// <summary>
					/// A csoport értéke nem lehet '*'!
					/// </summary>
					[InitializeTranslation("A csoport értéke nem lehet '*'!", HUHU)]
					[InitializeTranslation("Value of group can not be '*'!", ENUS)]
					public static class PackageGroupStar { }

					/// <summary>
					/// A csoport azonosítójának meg kell felenie a következő reguláris kifejezésnek: \"[a-zA-Z0-9_]\\w*\" /
					/// The group ID must match the following regular expression: \"[a-zA-Z0-9_]\\w*\"!
					/// </summary>
					[InitializeTranslation("A csoport azonosítójának meg kell felenie a következő reguláris kifejezésnek: \"[a-zA-Z0-9_]\\w*\"", HUHU)]
					[InitializeTranslation("The group ID must match the following regular expression: \"[a-zA-Z0-9_]\\w*\"!", ENUS)]
					public static class PackageGroupInvalid { }

					/// <summary>
					/// A csoport azonosítója minimum 3 és maximum 100 karakter lehet! /
					/// The group ID can be a minimum of 3 characters and a maximum of 100 characters!
					/// </summary>
					[InitializeTranslation("A csoport azonosítója minimum 3 és maximum 100 karakter lehet!", HUHU)]
					[InitializeTranslation("The group ID can be a minimum of 3 characters and a maximum of 100 characters!", ENUS)]
					public static class PackageGroupLength { }

					/// <summary>
					/// A csomag leírása nem lehet üres!
					/// </summary>
					[InitializeTranslation("A csomag leírása nem lehet üres!", HUHU)]
					[InitializeTranslation("Description of package is mandatory, can not be empty!", ENUS)]
					public static class PackageDescriptionEmpty { }

					/// <summary>
					/// Egy csoporton belül nem lehet ugyanolyan csomagnév! Név = {0}, Csoport = {1}
					/// </summary>
					[InitializeTranslation("Egy csoporton belül nem lehet ugyanolyan csomagnév! Név = {0}, Csoport = {1}", HUHU)]
					[InitializeTranslation("Group may not include two packages with the same name! Name={0}, group={1}", ENUS)]
					public static class SamePackageNameInsideGroup { }

					/// <summary>
					/// A riportcsomag nem található! Id = {0}
					/// </summary>
					[InitializeTranslation("A riportcsomag nem található! Id={0}", HUHU)]
					[InitializeTranslation("Report package does not exist! Id={0}", ENUS)]
					public static class PackageIsNotFound { }

					/// <summary>
					/// A riport csomag nem található! Név = \"{0}\", Csoport = \"{1}\" /
					/// The report package not found! Name = \"{0}\", Group = \"{1}\"
					/// </summary>
					[InitializeTranslation("A riport csomag nem található! Név = \"{0}\", Csoport = \"{1}\"", HUHU)]
					[InitializeTranslation("Report package not found! Name = \"{0}\", Group = \"{1}\"", ENUS)]
					public static class PackageIsNotFoundByNameGroup { }

					/// <summary>
					/// A csomag megadott eleme nem található! Id = {0}
					/// </summary>
					[InitializeTranslation("A csomag megadott eleme nem található! Id = {0}", HUHU)]
					[InitializeTranslation("Some elements of the package not found! Id={0}", ENUS)]
					public static class PackageItemIsNotFound { }

					/// <summary>
					/// Azonosító nem létezik vagy üres!
					/// </summary>
					[InitializeTranslation("Azonosító nem létezik vagy üres!", HUHU)]
					[InitializeTranslation("Identifier does not exist or empty!", ENUS)]
					public static class IdIsMissingOrEmpty { }

					/// <summary>
					/// Azonosító nem egy egy egész szám! Id = {0}
					/// </summary>
					[InitializeTranslation("Azonosító nem egy egész szám! Id = {0}", HUHU)]
					[InitializeTranslation("Identifier is not an integer! Id={0}", ENUS)]
					public static class IdIsNotAnInteger { }

					/// <summary>
					/// Azonosító nem lehet nulla vagy kisebb! Id = {0}
					/// </summary>
					[InitializeTranslation("Azonosító nem lehet nulla vagy kisebb! Id = {0}", HUHU)]
					[InitializeTranslation("Identifier can not be zero or less! Id={0}", ENUS)]
					public static class IdCanNotBeZero { }

					/// <summary>
					/// Szereptörléshez szükséges akció linkje nem létezik vagy üres!
					/// </summary>
					[InitializeTranslation("Szereptörléshez szükséges akció linkje nem létezik vagy üres!", HUHU)]
					[InitializeTranslation("Remove role action url does not exist or empty!", ENUS)]
					public static class DeleteRoleUrlIsMissingOrEmpty { }

					/// <summary>
					/// Szerep törlése sikertelen! url = {0}
					/// </summary>
					[InitializeTranslation("Szerep törlése sikertelen! url = {0}", HUHU)]
					[InitializeTranslation("Removal of role failed! url={0}", ENUS)]
					public static class DeleteRoleFailed { }

					/// <summary>
					/// \"{0}\" riport többször szerepel a listában. Az egyiket törölje vagy módosítsa!
					/// </summary>
					[InitializeTranslation("\"{0}\" riport többször szerepel a listában. Az egyiket törölje vagy módosítsa!", HUHU)]
					[InitializeTranslation("Report '{0}' listed mutiple times in the list. Delete, or modify one!", ENUS)]
					public static class ReportIsListedSeveralTimes { }

					/// <summary>
					/// Riportok listája üres! url = {0}
					/// </summary>
					[InitializeTranslation("Riportok listája üres! url = {0}", HUHU)]
					[InitializeTranslation("List of reports is empty! url={0}", ENUS)]
					public static class ListOfReportsIsEmpty { }

					/// <summary>
					/// Nincs több hozzáadható riport!
					/// </summary>
					[InitializeTranslation("Nincs több hozzáadható riport!", HUHU)]
					[InitializeTranslation("There are no more reports to add!", ENUS)]
					public static class NoMoreReportsRoAdd { }

					/// <summary>
					/// Riportformátumok listája üres! url = {0}
					/// </summary>
					[InitializeTranslation("Riportformátumok listája üres! url = {0}", HUHU)]
					[InitializeTranslation("List of report formats is empty!", ENUS)]
					public static class ListOfReportFormatsIsEmpty { }

					/// <summary>
					/// A szerephez nem tartoznak felhasználók!
					/// </summary>
					[InitializeTranslation("A szerephez nem tartoznak felhasználók!", HUHU)]
					[InitializeTranslation("No users exist with this role!", ENUS)]
					public static class UsersListOfTheRoleIsEmpty { }

					/// <summary>
					/// A riportazonosító szerkezete helytelen! Riportazonosító=\"{0}\"
					/// </summary>
					[InitializeTranslation("A riportazonosító szerkezete helytelen! Riportazonosító=\"{0}\"", HUHU)]
					[InitializeTranslation("Format of report identifier is incorrect! Id={0}", ENUS)]
					public static class ReportIdIsWrong { }

					/// <summary>
					/// A riportcsomag mentése sikeresen megtörtént!
					/// </summary>
					[InitializeTranslation("A riportcsomag mentése sikeresen megtörtént!", HUHU)]
					[InitializeTranslation("Save of report package was successful!", ENUS)]
					public static class Acknowledgment { }

					/// <summary>
					/// Szerep létrehozása / Create role
					/// </summary>
					[InitializeTranslation("Szerep létrehozása", HUHU)]
					[InitializeTranslation("Create role", ENUS)]
					public static class CreateRole { }

					/// <summary>
					/// Hozzárendelés a szerepkörökhöz
					/// </summary>
					[InitializeTranslation("Hozzárendelés a szerepkörökhöz", HUHU)]
					[InitializeTranslation("Assign to RoleGroup", ENUS)]
					public static class AssignToRolegroups { }

					/// <summary>
					/// Hozzárendelés a felhasználókhoz
					/// </summary>
					[InitializeTranslation("Hozzárendelés a felhasználókhoz", HUHU)]
					[InitializeTranslation("Assign to Users", ENUS)]
					public static class AssignToUsers { }

					/// <summary>
					/// Teszt futtatás
					/// </summary>
					[InitializeTranslation("Teszt futtatás", HUHU)]
					[InitializeTranslation("Test run", ENUS)]
					public static class TextExecute { }

					/// <summary>
					/// Kérem várjon ...
					/// </summary>
					[InitializeTranslation("Kérem várjon ...", HUHU)]
					[InitializeTranslation("Please wait...", ENUS)]
					public static class WaitMessage { }

					/// <summary>
					/// Kérem, várjon a műveletek végrehajtására !
					/// </summary>
					[InitializeTranslation("Kérem, várjon a műveletek végrehajtására!", HUHU)]
					[InitializeTranslation("Please wait for the operations to finish!", ENUS)]
					public static class WaitForExecuteOfOperations { }
				}
				#endregion Messages
			}
			#endregion Editor

			#region Operation
			public static class Operation
			{
				public static class Messages
				{
					/// <summary>
					/// Az iSchedulerReport.Execute akció befejeződött / 
					/// The iSchedulerReport.Execute action is complete
					/// </summary>
					[InitializeTranslation("Az iSchedulerReport akció befejeződött. Akció neve: {0}", HUHU)]
					[InitializeTranslation("The iSchedulerReport action is complete. Action name: {0}", ENUS)]
					public static class ActionIsCompleted { }

					/// <summary>
					/// A riportkészítés sikeres. / Reporting is successful.
					/// </summary>
					[InitializeTranslation("Az akció sikeres. Akció neve:{0}", HUHU)]
					[InitializeTranslation("Action is successful.Action name:{0}", ENUS)]
					public static class ActionIsSuccessful { }

					/// <summary>
					/// A riportkészítés nem sikeres. / Reporting is not successful.
					/// </summary>
					[InitializeTranslation("Az akció NEM sikeres! Akció neve:{0}", HUHU)]
					[InitializeTranslation("Action is NOT successful.Action name:{0}", ENUS)]
					public static class ActionIsNotSuccessful { }

					/// <summary>
					/// GroupId={0} és ObjectId={1} azonosító nem egyedi riportcsomagot azonosít!
					/// </summary>
					[InitializeTranslation("GroupId={0} és ObjectId={1} azonosító nem egyedi riportcsomagot azonosít!", HUHU)]
					[InitializeTranslation("GroupId={0} and ObjectId={1} identifiers are not identifying one singe report package!", ENUS)]
					public static class GroupIdObjectIdNotUnique { }

					/// <summary>
					/// A levélküldés sikerült.
					/// </summary>
					[InitializeTranslation("A levélküldés sikerült.", HUHU)]
					[InitializeTranslation("Email sending was successful.", ENUS)]
					public static class MailingIsSuccessful { }

					/// <summary>
					/// A levélküldés nem sikerült.
					/// </summary>
					[InitializeTranslation("A levélküldés nem sikerült.", HUHU)]
					[InitializeTranslation("Email sending failed.", ENUS)]
					public static class MailingIsNotSuccessful { }

					/// <summary>
					/// GroupId={0} és ObjectId={1} azonosítójú riportcsomag nem tartalmaz riportokat!
					/// </summary>
					[InitializeTranslation("GroupId={0} és ObjectId={1} azonosítójú riportcsomag nem tartalmaz riportokat!", HUHU)]
					[InitializeTranslation("Report package with GroupId={0} and ObjectId={1} does not include reports!", ENUS)]
					public static class ReportPackageEmpty { }

					/// <summary>
					/// GroupId={0} és ObjectId={1} azonosítóval nem található riportcsomag!
					/// </summary>
					[InitializeTranslation("GroupId={0} és ObjectId={1} azonosítóval nem található riportcsomag!", HUHU)]
					[InitializeTranslation("Report package with GroupId={0} and ObjectId={1} does not exist!", ENUS)]
					public static class ReportPackageNotFound { }

					/// <summary>
					/// A paraméter kötelező! Paraméter neve = \"{0}\" / 
					/// The parameter is required! Parameter name = \"{0}\"
					/// </summary>
					[InitializeTranslation("A paraméter kötelező! Paraméter neve = \"{0}\"", HUHU)]
					[InitializeTranslation("The parameter is required! Parameter name = \"{0}\"", ENUS)]
					public static class TheParameterIsRequired { }

					/// <summary>
					/// Nincsenek címzettek! Ellenőrizze a szerepbeállítást a riportcsomagnál!
					/// </summary>
					[InitializeTranslation("Nincsenek címzettek! Ellenőrizze a szerepbeállítást a riportcsomagnál!", HUHU)]
					[InitializeTranslation("There are no email recepients definet! Check the role setting of the report package!", ENUS)]
					public static class ThereAreNoRecipients { }

					/// <summary>
					/// TimeStamp helyes formátuma \"yyyyMMddHHmmss\"!
					/// </summary>
					[InitializeTranslation("TimeStamp helyes formátuma \"yyyyMMddHHmmss\"!", HUHU)]
					[InitializeTranslation("TimeStamp correct format is \"yyyyMMddHHmmss\"!", ENUS)]
					public static class TimeStampCorrectFormat { }

					/// <summary>
					/// Üzenet / Message
					/// </summary>
					[InitializeTranslation("Üzenet", HUHU)]
					[InitializeTranslation("Message", ENUS)]
					public static class TitleMessage { }

					/// <summary>
					/// Riport / Report
					/// </summary>
					[InitializeTranslation("Riport", HUHU)]
					[InitializeTranslation("Report", ENUS)]
					public static class TitleReportId { }

					/// <summary>
					/// "Nincsenek sikeresen elkészült riportok!" /
					/// "There are no successful reports!"
					/// </summary>
					[InitializeTranslation("Nincsenek sikeresen végrehajtott műveletek!", HUHU)]
					[InitializeTranslation("There are no successful operations!", ENUS)]
					public static class ThereAreNoSuccessfulPackages { }
				}
			}
			#endregion Operation
		}
	}
}
